| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::ChannelInterfaceCallStateInterface Class Reference
Channel proxies

`#include <TelepathyQt/Channel>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply
  < Tp::ChannelCallStateMap > GetCallStates (int timeout=-1)

## Signals

- void CallStateChanged (uint contact, uint state)

## Public Member Functions

- ChannelInterfaceCallStateInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceCallStateInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceCallStateInterface (Tp::DBusProxy *proxy)
- ChannelInterfaceCallStateInterface (const Tp::Client::ChannelInterface &mainInterface)
- ChannelInterfaceCallStateInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.CallState".

## Constructor & Destructor Documentation

Tp::Client::ChannelInterfaceCallStateInterface::ChannelInterfaceCallStateInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceCallStateInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfaceCallStateInterface::ChannelInterfaceCallStateInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ChannelInterfaceCallStateInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ChannelInterfaceCallStateInterface::ChannelInterfaceCallStateInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelInterfaceCallStateInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ChannelInterfaceCallStateInterface::ChannelInterfaceCallStateInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) | `[explicit]`

Creates a ChannelInterfaceCallStateInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::ChannelInterfaceCallStateInterface::ChannelInterfaceCallStateInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ChannelInterfaceCallStateInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ChannelInterfaceCallStateInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Interface.CallState", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::ChannelInterfaceCallStateInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<Tp::ChannelCallStateMap> Tp::Client::ChannelInterfaceCallStateInterface::GetCallStates | ( | int | timeout = `-1` | ) | `[inline, slot]`

Begins a call to the D-Bus method `GetCallStates` on the remote object.

Get the current call states for all contacts involved in this call.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  timeout | The timeout in milliseconds.

Returns:

The current call states. Participants where the call state flags would be 0 (all unset) may be omitted from this mapping.

void Tp::Client::ChannelInterfaceCallStateInterface::CallStateChanged | ( | uint | contact,
|  | uint | state
| ) |  | `[signal]`

Represents the signal `CallStateChanged` on the remote object.

Emitted when the state of a member of the channel has changed.

Parameters:

  contact | An integer handle for the contact.
  state | The new state for this contact.

void Tp::Client::ChannelInterfaceCallStateInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.